DH_STRIP(1)

NOME
dh_strip - despoja executáveis, bibliotecas partilhas, e algumas bibliotecas estáticas

RESUMO
dh_strip [debhelper opções] [-Xitem] [--dbg-package=pacote] [--keep-debug]

DESCRIÇÃO
dh_strip é um programa debhelper que é responsável por retirar símbolos de depuração em executáveis, bibliotecas partilhadas, e bibliotecas estáticas que não são necessárias durante a execução.

Este programa examina os seus directórios de compilação de pacotes e decide sozinho o que despojar. Usa o file(1), as permissões de ficheiros e os nomes dos ficheiros para descobrir quais ficheiros são bibliotecas partilhadas (*.so), binários executáveis, e bibliotecas estáticas (lib*.a) e de depuração (lib*_g.a, debug/*.so), e despoja cada um o máximo possível. (O que não é de todo para bibliotecas de depuração.) Em geral parece acertar muito bem nos ficheiros, e fará o trabalha certo em quase todos os casos.

Como é muito difícil perceber automaticamente se um ficheiro é um módulo, e difícil determinar como despojar um módulo, o dh_strip presentemente não lida com o despojar de módulos binários como os ficheiros .o.

OPÇÕES

-Xitem, --exclude=item
    Exclui ficheiros que contenham item em qualquer ponto do seu nome de serem despojados. Você pode usar esta opção várias vezes para construir uma lista de coisas a excluir.

--dbg-package=pacote
    Esta opção é agora uma opção de objectivo especial que normalmente você não precisa. Na maioria dos casos, deverá haver poucas razões para usar esta opção para novos pacotes fonte pois o debhelper gera automaticamente pacotes de depuração (pacotes "dbgsym"). Se você tem um --dbg-package manual que deseja substituir por um pacote de símbolos de depuração gerado automaticamente, por favor veja a opção --dbgsym-migration.

    Faz o dh_strip salvar os símbolos de depuração despojados dos pacotes em que actua como ficheiros independentes no directório de compilação do pacote do pacote de depuração especificado.

    Por exemplo, se os seus pacotes são libfoo e foo e você deseja incluir um pacote foo-dbg com símbolos de depuração, use dh_strip --dbg-package=foo-dbg.

    Esta opção implica que --no-automatic-dbgsym e não pode ser usado com --automatic-dbgsym ou --dbgsym-migration.

-k, --keep-debug
    Esta opção é agora uma opção de objectivo especial que normalmente você não precisa. Na maioria dos casos, deverá haver poucas razões para usar esta opção para novos pacotes fonte pois o debhelper gera automaticamente pacotes de depuração (pacotes "dbgsym"). Se você tem um --dbg-package manual que deseja substituir por um pacote de símbolos de depuração gerado automaticamente, por favor veja a opção --dbgsym-migration.

    Os símbolos de depuração serão retidos, e separados para um ficheiro independente em usr/lib/debug/ no directório de compilação do pacote. --dbg-package é mais fácil de usar que esta opção, mas esta opção é mais flexível.

    Esta opção implica que --no-automatic-dbgsym e cannot seja usado com --automatic-dbgsym.

--dbgsym-migration=package-relation
    Esta opção é usada para migrar de um pacote "-dbg" manual (criado com --dbg-package) para um pacote de símbolos de depuração gerado automaticamente. Esta opção deve descrever uma relação Replaces- e Breaks válida, a qual será adicionada ao pacote de símbolos de depuração para evitar conflitos de ficheiros com o pacote -dbg (agora obsoleto).

    Esta opção implica que --automatic-dbgsym e cannot seja usado com --keep-debug, --dbg-package ou --no-automatic-dbgsym.

    Exemplos:

      dh_strip --dbgsym-migration='libfoo-dbg (<< 2.1-3~)'

      dh_strip --dbgsym-migration='libfoo-tools-dbg (<< 2.1-3~), libfoo2-dbg (<< 2.1-3~)'

--automatic-dbgsym, --no-automatic-dbgsym
    Controla se o dh_strip deve criar pacotes de símbolos de depuração quando possível.

    A predefinição é criar pacotes de símbolos de depuração.

--ddebs, --no-ddebs
    Nome histórico para --automatic-dbgsym e --no-automatic-dbgsym.

--ddeb-migration=package-relation
    Nome histórico para --dbgsym-migration.

--keep-lto
    Sections containing information generated by -flto -ffat-lto-objects are normally removed from static archives, because the streaming format changes even in minor GCC versions, and because cross package link time optimizations are normally not desired. This option allows to keep this information in the static libraries.

NOTAS
Se a variável de ambiente DEB_BUILD_OPTIONS conter nostrip, nada será despojado, em conformidade com a política Debian (secção 10.1 "Binários"). Isto irá também inibir a criação automática de pacotes de símbolos de depuração.

A criação automática de pacotes de símbolos de depuração também pode ser prevenida ao adicionar noautodbgsym à variável de ambiente DEB_BUILD_OPTIONS. No entanto, dh_strip irá na mesma adicionar debuglinks aos binários ELF quando a bandeira estiver definida. Isto não garante que o pacote deb regular irá ser idêntico com e sem esta bandeira (assumindo que é caso contrário reproduzível "bit por bit".

EM CONFORMIDADE COM
Debian policy, versão 3.0.1

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.